<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DataMenuEmailAnmeldungBestaetigung extends DataMenuEmailAbmeldung
{
  public $tnr = 0;
  public $dbwteilnehm;
  public $dbwkurs;
  public $entgelt;
  public $belegungsStatus;
  public $anmPerDateiOderEmail;
  public $eintritt;

  public function __construct()
  {
    parent::__construct();
    $this->dbwteilnehm = new DBWorkTeilnehmer();
    $this->dbwkurs = new DBWorkKurse();
  }

  public function getTempBelegung()
  {
    $tmp = $this->dbwbelegung->getNewObject();
    $tmp->status = $this->belegungsStatus;
    $tmp->teilnehmer = $this->dbwteilnehm->getTeilnehm($this->tnr);
    $tmp->kurs = $this->dbwkurs->getKurs($this->id);
    $tmp->entgelt = $this->entgelt;
    $tmp->anmPerDateiOderEmail = $this->anmPerDateiOderEmail;
    $tmp->eintritt = trim($this->eintritt) != '' ? $this->eintritt : DateTimeOperations::getDateNow();
    $tmp->aboGebuehrenVorhanden = APIGebuehren::hasKursFortlaufendeGebuehren($this->id) ? '1' : '0';

    return $tmp;
  }

  public function getdataarrayheader()
  {
    $this->dataarrayheader = array($this->getTempBelegung());
  }

  public function getdataarraybody()
  {
    $this->dataarraybody = array($this->getTempBelegung());
  }

  public function getdataarrayfooter()
  {
    $this->dataarrayfooter = array($this->getTempBelegung());
  }
}